# synfig::Value< T > Class Template Reference

`#include <value.h>`

Inheritance diagram for synfig::Value< T >:

List of all members.

## Public Member Functions

| Value (const T &x)
| Value (const ValueBase &x)
| Value ()
T | get () const
void | put (T *x) const
void | set (const T &x)
Value< T > & | operator= (const T &x)
Value< T > & | operator= (const Value< T > &x)
Value< T > & | operator= (const ValueBase &x)

## Detailed Description

### template<class T>
class synfig::Value< T >

Todo:
  writeme

## Constructor & Destructor Documentation

template<class T>

synfig::Value< T >::Value | ( | const T & | x | ) | `[inline]`

template<class T>

synfig::Value< T >::Value | ( | const ValueBase & | x | ) | `[inline]`

References synfig::ValueBase::same_type_as().

template<class T>

synfig::Value< T >::Value | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>

T synfig::Value< T >::get | ( |  | ) | const`[inline]`

template<class T>

void synfig::Value< T >::put | ( | T * | x | ) | const`[inline]`

Reimplemented from synfig::ValueBase.

template<class T>

void synfig::Value< T >::set | ( | const T & | x | ) | `[inline]`

Reimplemented from synfig::ValueBase.

template<class T>

Value<T>& synfig::Value< T >::operator= | ( | const T & | x | ) | `[inline]`

Todo:
  This needs to be documented further.

Reimplemented from synfig::ValueBase.

template<class T>

Value<T>& synfig::Value< T >::operator= | ( | const Value< T > & | x | ) | `[inline]`

template<class T>

Value<T>& synfig::Value< T >::operator= | ( | const ValueBase & | x | ) | `[inline]`

Todo:
  This needs to be documented further.

Reimplemented from synfig::ValueBase.

References synfig::ValueBase::same_type_as().

The documentation for this class was generated from the following file:

- value.h